Bug 1283993 - [abrt] BUG: Bad page state in process Xorg pfn:74d76b
[abrt] BUG: Bad page state in process Xorg pfn:74d76b
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e2faa75912b95714f7acd7607cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 08:39 EST by Steve
Modified: 2016-12-20 11:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:08:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (73.92 KB, text/plain)
2015-11-20 08:39 EST, Steve
no flags Details

  None (edit)
Description Steve 2015-11-20 08:39:25 EST
Additional info:
reporter:       libreport-2.6.3
BUG: Bad page state in process Xorg  pfn:74d76b
page:ffffea001d35dac0 count:0 mapcount:0 mapping:          (null) index:0x0
flags: 0x5ffff800260000(mappedtodisk|reclaim|mlocked)
page dumped because: PAGE_FLAGS_CHECK_AT_FREE flag(s) set
bad because of flags:
flags: 0x200000(mlocked)
Modules linked in: bnep bluetooth fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw nct6775 hwmon_vid snd_hda_codec_hdmi intel_rapl iosf_mbi snd_hda_codec_realtek x86_pkg_temp_thermal snd_hda_codec_generic coretemp kvm snd_hda_intel snd_usb_audio snd_hda_codec uvcvideo videobuf2_vmalloc videobuf2_core snd_hda_core snd_usbmidi_lib
 snd_hwdep videobuf2_memops snd_rawmidi v4l2_common snd_seq videodev eeepc_wmi snd_seq_device asus_wmi joydev sparse_keymap iTCO_wdt media rfkill iTCO_vendor_support crct10dif_pclmul snd_pcm crc32_pclmul crc32c_intel snd_timer snd tpm_infineon mei_me tpm_tis i2c_i801 lpc_ich mei soundcore shpchp tpm acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e ptp pps_core wmi video
CPU: 0 PID: 1968 Comm: Xorg Not tainted 4.2.6-300.fc23.x86_64 #1
Hardware name: ASUS All Series/Z97-PRO, BIOS 2601 08/17/2015
 0000000000000000 0000000024fb6883 ffff8807e59dbb48 ffffffff817729ea
 0000000000000000 ffffea001d35dac0 ffff8807e59dbb78 ffffffff811a73ca
 0000000000000000 005ffff800260000 ffffea001d35dac0 0000000000000000
Call Trace:
 [<ffffffff817729ea>] dump_stack+0x45/0x57
 [<ffffffff811a73ca>] bad_page.part.74+0xba/0x110
 [<ffffffff811a811a>] free_pages_prepare+0x41a/0x450
 [<ffffffff811aa845>] free_hot_cold_page+0x35/0x180
 [<ffffffff811aaa5a>] __free_pages+0x2a/0x40
 [<ffffffff811aaacc>] free_pages+0x5c/0x70
 [<ffffffff8101b1e5>] dma_generic_free_coherent+0x25/0x30
 [<ffffffff81061465>] x86_swiotlb_free_coherent+0x45/0x80
 [<ffffffff8101af17>] dma_free_attrs+0x47/0x90
 [<ffffffff811ffba0>] ? kfree+0x130/0x140
 [<ffffffffa00f6363>] __ttm_dma_free_page.isra.3+0x23/0x40 [ttm]
 [<ffffffffa00f6c4f>] ttm_dma_unpopulate+0x2bf/0x330 [ttm]
 [<ffffffffa01ccf2b>] nouveau_ttm_tt_unpopulate+0x10b/0x110 [nouveau]
 [<ffffffffa00ee17e>] ttm_tt_unpopulate+0x4e/0x50 [ttm]
 [<ffffffffa00ee1e5>] ttm_tt_destroy+0x65/0x70 [ttm]
 [<ffffffffa00ee6a3>] ttm_bo_cleanup_memtype_use+0x43/0x90 [ttm]
 [<ffffffffa00ef4c7>] ttm_bo_release+0x1c7/0x230 [ttm]
 [<ffffffffa00ef554>] ttm_bo_unref+0x24/0x30 [ttm]
 [<ffffffffa00f28f4>] ttm_bo_vm_close+0x34/0x60 [ttm]
 [<ffffffff811d9212>] remove_vma+0x32/0x70
 [<ffffffff811db890>] do_munmap+0x2b0/0x460
 [<ffffffff811dba81>] vm_munmap+0x41/0x60
 [<ffffffff811dca52>] SyS_munmap+0x22/0x30
 [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 1 Steve 2015-11-20 08:39:34 EST
Created attachment 1097195 [details]
File: dmesg
Comment 2 Fedora End Of Life 2016-11-24 08:36:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:08:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.